<?php

/**
 * This file generates the appropriate .ini file
 * for running the createTables.php script
 * for DB_DataObject which generates the relevant
 * classes and database schema.
 *
 * @package build
 */
error_reporting(E_ALL);

$current_path = dirname(__FILE__);

// for $conf
$conf_path = realpath($current_path . "/../../modules/config.php");

require_once($conf_path);

// get the path for the new config file
$path = $conf['paths']['prefix'] . '/config/dbdataobject.cfg';

// open the config file for writing
$fd = fopen($path, 'w');

if (!$fd)
    die("Could not open file \"$path\" for writing. Check permissions.");

$content = add_comments();


foreach ($conf['db_dataobject'] as $var => $val)
    $content .= "$var\t= $val\n";

$success = fwrite($fd, $content);

if (!$success)
    die("Write to file $path was unsuccessful.");

fclose($fd);


function add_comments()
{
    // a bunch of comments
    $content = '';
    $content .= "# The following lines are automatically generated by a script.\n";
    $content .= "# The contents of this file are only used by DB_DataObject's\n";
    $content .= "# createTables script.\n\n";
    $content .= "# Do not edit this file.\n";
    $content .= "# Any changes should be made to /config/maintain.cfg\n";
    $content .= "# and run 'make' in the main Maintain directory\n\n";
    $content .= "[DB_DataObject]\n";

    return $content;

}


?>
